package server.command.commands;

import java.util.List;

import common.entity.Entity;
import common.entity.npc.EntityNPC;
import common.init.UniverseRegistry;
import common.util.Position;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.RunException;
import server.command.UserPolicy;
import server.network.Player;

public class CommandDeathspot extends Command {
	public CommandDeathspot() {
		super("deathspot");
		
		this.addPlayerEntity("player", true, UserPolicy.NON_ADMINS_OR_SELF);
		
		this.addEntityList("entities", 'e', true, UserPolicy.NON_ADMINS_OR_SELF);
	}
	
	public Object exec(CommandEnvironment env, Executor exec, EntityNPC player, List<Entity> entities) {
		Position pos = ((Player)player.connection).getLastDeath();
		if(pos == null)
			throw new RunException("%s hat keinen letzten Todespunkt", player.getCommandName());
		for(Entity entity : entities) {
			entity.teleport(pos);
			exec.log("%s zum Todespunkt von %s (%d, %d, %d in %s) teleportiert", entity.getCommandName(), player.getCommandName(), (int)pos.x(), (int)pos.y(), (int)pos.z(), UniverseRegistry.getDimension(pos.dim()).getFormattedName(false));
		}
		return entities.size();
	}
}
