package server.command.commands;

import java.util.List;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;
import server.network.Player;

public class CommandKick extends Command {
	public CommandKick() {
		super("kick");
		
		this.addPlayerList("player", false, UserPolicy.NON_ADMINS_NOT_SELF);
		this.setParamsOptional();
		this.addString("message", "Du wurdest vom Server geworfen", false);
	}
	
	public void exec(CommandEnvironment env, Executor exec, List<Player> players, String message) {
		for(Player player : players) {
			player.disconnect(message);
			exec.log("%s wurde vom Server geworfen", player.getUser());
		}
	}
}
