package server.command.commands;

import java.util.List;

import common.entity.npc.EntityNPC;
import common.init.UniverseRegistry;
import common.util.Position;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;
import server.network.Player;

public class CommandReturn extends Command {
	public CommandReturn() {
		super("return");
		
		this.addPlayerEntityList("players", 'p', true, UserPolicy.NON_ADMINS_OR_SELF);
	}
	
	public Object exec(CommandEnvironment env, Executor exec, List<EntityNPC> players) {
		int done = 0;
		for(EntityNPC player : players) {
			Position pos = ((Player)player.connection).getLastTeleport();
			if(pos != null) {
				player.teleport(pos);
				exec.log("%s zum letzten Punkt (%d, %d, %d in %s) teleportiert", player.getCommandName(), (int)pos.x(), (int)pos.y(), (int)pos.z(), UniverseRegistry.getDimension(pos.dim()).getFormattedName(false));
				done++;
			}
		}
		return done;
	}
}
